Bug 203489 - Incorrect firmware module loaded for QMC2462S on IBM JS21
Incorrect firmware module loaded for QMC2462S on IBM JS21
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.4
ppc64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-21 20:09 EDT by Dave Wagner
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-21 16:06:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Wagner 2006-08-21 20:09:33 EDT
Description of problem:

Installing RHEL4.4 GA on a JS21 blade results in an incorrect entry in
/etc/modprobe for the QMC2462S
adapter with PCI DEVID/VENID of Class 0c04: 1077:2422 (rev 02).

Note in the /etc/modprobe.conf below, from RHEL4.4 GA, that the alias for the
firmware module lists qla2322
instead of qla2400. This causes the wrong firmware module to be loaded resulting
in no attached devices
being found.

cat /etc/modprobe.conf
alias eth0 tg3
alias eth1 tg3
alias scsi_hostadapter qla2xxx
alias scsi_hostadapter1 ipr
alias scsi_hostadapter2 qla2322 <-- should be qla2400
alias usb-controller ohci-hcd

This issue did not occur on any of the RHEL4.4 beta releases. IBM has opened an
LTC bugzilla,
26325 (RIT100200) for this issue.



Version-Release number of selected component (if applicable):


How reproducible: Very


Steps to Reproduce:
1. Load QMC2462S driver on IBM JS21 blade server
2.
3.
  
Actual results: Incorrect firmware module loaded


Expected results:


Additional info:
Comment 1 Paul Nasrat 2006-09-08 06:07:30 EDT
Please can you attach the full lspci output from the blade
Comment 2 Kari Hautio 2007-02-28 07:44:32 EST
I saw similar problem with IBM LS21 blade (x86_64), the problem was fixed in
update of hwdata package.

# rpm -q hwdata --changelog | head
* Tue Aug 22 2006 Phil Knirsch <pknirsch@redhat.com> 0.146.23.EL-1

- Fixed regression in pcitable for QLA24x cards (#202267)
...

The incorrect hwdata caused kmodule to report incorrectly qla2322 as driver for
installed FC interface.  AFAIK modules.conf gets created based on kmodule output.
Comment 3 Red Hat Bugzilla 2007-06-11 23:14:25 EDT
requested by Jams Antill

Note You need to log in before you can comment on or make changes to this bug.